org.apache.ignite.internal.pagemem.wal.record

## Class IndexRenameRootPageRecord

- java.lang.Object
- - org.apache.ignite.internal.pagemem.wal.record.WALRecord
  - - org.apache.ignite.internal.pagemem.wal.record.IndexRenameRootPageRecord

    public class IndexRenameRootPageRecord
    extends WALRecord

Logical record for renaming index root pages.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`WALRecord.RecordPurpose, WALRecord.RecordType`

### Constructor Summary

Constructors
Constructor and Description
`IndexRenameRootPageRecord(DataInput in)` Constructor.
`IndexRenameRootPageRecord(int cacheId, String oldTreeName, String newTreeName, int segments)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `cacheId()` Getting cache id.
`int` `dataSize()` Calculating the size of the data.
`String` `newTreeName()` Getting new name of underlying index tree name.
`String` `oldTreeName()` Getting old name of underlying index tree name.
`int` `segments()` Getting number of segments.
`String` `toString()`
`WALRecord.RecordType` `type()`
`void` `writeRecord(ByteBuffer buf)` Writing data to the buffer.

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`chainSize, chainSize, position, position, previous, previous, size, size`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IndexRenameRootPageRecord

    public IndexRenameRootPageRecord(int cacheId,
                                     String oldTreeName,
                                     String newTreeName,
                                     int segments)

Constructor.

Parameters:
  `cacheId` - Cache id.
  `oldTreeName` - Old name of underlying index tree name.
  `newTreeName` - New name of underlying index tree name.
  `segments` - Number of segments.

#### IndexRenameRootPageRecord

    public IndexRenameRootPageRecord(DataInput in)
                              throws IOException

Constructor.

Parameters:
  `in` - Data input.
Throws:
  `IOException` - If there are errors while reading the data.
See Also:
  `writeRecord(java.nio.ByteBuffer)`, `dataSize()`

### Method Detail

#### type

    public WALRecord.RecordType type()

Specified by:
  `type` in class `WALRecord`
Returns:
  Entry type.

#### cacheId

    public int cacheId()

Getting cache id.

Returns:
  Cache id.

#### oldTreeName

    public String oldTreeName()

Getting old name of underlying index tree name.

Returns:
  Old name of underlying index tree name.

#### newTreeName

    public String newTreeName()

Getting new name of underlying index tree name.

Returns:
  New name of underlying index tree name.

#### segments

    public int segments()

Getting number of segments.

Returns:
  Number of segments.

#### dataSize

    public int dataSize()

Calculating the size of the data.

Returns:
  Size in bytes.
See Also:
  `IndexRenameRootPageRecord(DataInput)`, `writeRecord(java.nio.ByteBuffer)`

#### writeRecord

    public void writeRecord(ByteBuffer buf)

Writing data to the buffer.

Parameters:
  `buf` - Output buffer.
See Also:
  `IndexRenameRootPageRecord(DataInput)`, `dataSize()`

#### toString

    public String toString()

Overrides:
  `toString` in class `WALRecord`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022